<?php
/*-------------------------
Autor: Delmar Lopez
Web: www.softwys.com
Mail: softwysop@gmail.com
---------------------------*/
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
$session_id = session_id();
$sucursal_users = $_SESSION['sucursal_users'];
$users             = intval($_SESSION['id_users']);
/* Connect To Database*/
require_once "../db.php";
require_once "../php_conexion.php";
//Archivo de funciones PHP
require_once "../funciones.php";
if (isset($_POST['id'])) {
    $id = $_POST['id'];
}
if (isset($_POST['cantidad'])) {
    $cantidad = $_POST['cantidad'];
}
if (isset($_POST['precio_venta'])) {
    $precio_venta = $_POST['precio_venta'];
}

$sql        = mysqli_query($conexion, "select MAX(id_factura) as last from facturas_ordenes");
    $rw         = mysqli_fetch_array($sql);
    $id_factura = $rw['last'] + 1;
    // finde la ultima fatura
    //Control de la  numero_fatura y aumentamos una
    $query_id = mysqli_query($conexion, "SELECT RIGHT(numero_factura,6) as factura FROM facturas_ordenes ORDER BY factura DESC LIMIT 1")
        or die('error ' . mysqli_error($conexion));
    $count = mysqli_num_rows($query_id);

    if ($count != 0) {

        $data_id = mysqli_fetch_assoc($query_id);
        $factura = $data_id['factura'] + 1;
    } else {
        $factura = 1;
    }

    $buat_id = str_pad($factura, 6, "0", STR_PAD_LEFT);
    $factura = "ORD-$buat_id";

$date_added = date("Y-m-d H:i:s");

if (!empty($id) and !empty($cantidad) and !empty($precio_venta)) {
    // consulta para comparar el stock con la cantidad resibida
    $query = mysqli_query($conexion, "select stock_producto, inv_producto from productos where id_producto = '$id'");
    $rw    = mysqli_fetch_array($query);
    $stock = $rw['stock_producto'];
    $inv   = $rw['inv_producto'];

    //Comprobamos si agregamos un producto a la tabla tmp_compra
    $comprobar = mysqli_query($conexion, "select * from tmp_ordenes, productos where productos.id_producto = tmp_ordenes.id_producto and tmp_ordenes.id_producto='" . $id . "' and tmp_ordenes.session_id='" . $session_id . "' and tmp_ordenes.sucursal_tmp='" . $sucursal_users . "'");
    if ($row = mysqli_fetch_array($comprobar)) {
        $cant = $row['cantidad_tmp'] + $cantidad;
        // condicion si el stock e menor que la cantidad requerida
        $sql          = "UPDATE tmp_ordenes SET cantidad_tmp='" . $cant . "', precio_tmp='" . $precio_venta . "' WHERE id_producto='" . $id . "' and session_id='" . $session_id . "' and sucursal_tmp='" . $sucursal_users . "'";
        $query_update = mysqli_query($conexion, $sql);
        echo "<script> $.Notification.notify('success','bottom center','NOTIFICACIÓN', 'PRODUCTO AGREGADO A LA FACTURA CORRECTAMENTE')
        $('#resultados').load('../ajax/agregar_tmp_ordenes.php');
        </script>";
    } else {
        $insert_tmp = mysqli_query($conexion, "INSERT INTO tmp_ordenes (id_producto,cantidad_tmp,precio_tmp,desc_tmp,session_id,sucursal_tmp) VALUES ('$id','$cantidad','$precio_venta','0','$session_id','$sucursal_users')");
        echo "<script> $.Notification.notify('success','bottom center','NOTIFICACIÓN', 'PRODUCTO AGREGADO A LA FACTURA CORRECTAMENTE')
        $('#resultados').load('../ajax/agregar_tmp_ordenes.php');
        </script>";
    }
}
if (isset($_GET['id'])) {
    $id_tmp = intval($_GET['id']);
    $compOrden = mysqli_query($conexion, "SELECT * FROM tmp_ordenes WHERE id_tmp='$id_tmp'");
    $row = mysqli_fetch_array($compOrden);
    $descripcion = $row['descripcion'];
    $cantidad_tmp = $row['cantidad_tmp'];
    $precio_tmp = $row['precio_tmp'];
    $monto_total = $cantidad_tmp * $precio_tmp;

    $mensaje = "Se ha eliminado un servicio o producto de la orden actual Temporal: $factura";

    $log = mysqli_query($conexion, "INSERT INTO log_ordenes (user_id, acciones, servicio, precio, total,  orden, fecha_added) 
                                    VALUES ('$users', '$mensaje', '$descripcion', '$precio_tmp', '$monto_total', '$factura', '$date_added')");

    $delete = mysqli_query($conexion, "DELETE FROM tmp_ordenes WHERE id_tmp='$id_tmp'");
}
$simbolo_moneda = get_row('perfil', 'moneda', 'id_perfil', 1);
$pv             = get_row('perfil', 'precio_venta', 'id_perfil', 1);
if ($pv == 0) {
    $ok = 'disabled';
} else {
    $ok = '';
}
?>
<div class="table-responsive">
    <table class="table table-sm">
        <thead style=" background-color:#9E9E9E;" class="thead-black">
            <tr>
                <th class='text-center'>COD</th>
                <th class='text-center'>CANT.</th>
                <th class='text-center'>DESCRIP.</th>
                <th class='text-center'>PRECIO <?php echo $simbolo_moneda; ?></th>
                <th class='text-right'>TOTAL</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $impuesto       = get_row('perfil', 'impuesto', 'id_perfil', 1);
            $nom_impuesto   = get_row('perfil', 'nom_impuesto', 'id_perfil', 1);
            $sumador_total  = 0;
            $total_iva      = 0;
            $total_impuesto = 0;
            $subtotal       = 0;
            $sql            = mysqli_query($conexion, "select * from productos, tmp_ordenes where productos.id_producto=tmp_ordenes.id_producto and tmp_ordenes.session_id='" . $session_id . "' and tmp_ordenes.sucursal_tmp='" . $sucursal_users . "'");
            while ($row = mysqli_fetch_array($sql)) {
                $id_tmp          = $row["id_tmp"];
                $codigo_producto = $row['codigo_producto'];
                $id_producto     = $row['id_producto'];
                $cantidad        = $row['cantidad_tmp'];
                $desc_tmp        = $row['desc_tmp'];
                $nombre_producto = $row['nombre_producto'];

                $precio_venta   = $row['precio_tmp'];
                $precio_venta_f = number_format($precio_venta, 2); //Formateo variables
                $precio_venta_r = str_replace(",", "", $precio_venta_f); //Reemplazo las comas
                $precio_total   = $precio_venta_r * $cantidad;
                $final_items    = rebajas($precio_total, $desc_tmp); //Aplicando el descuento
                /*--------------------------------------------------------------------------------*/
                $precio_total_f = number_format($final_items, 2); //Precio total formateado
                $precio_total_r = str_replace(",", "", $precio_total_f); //Reemplazo las comas
                $sumador_total += $precio_total_r; //Sumador
                $final_items = rebajas($precio_total, $desc_tmp); //Aplicando el descuento
                $subtotal    = number_format($sumador_total, 2, '.', '');
                if ($row['iva_producto'] == 1) {
                    $total_iva = iva($precio_venta);
                } else {
                    $total_iva = 0;
                }
                $total_impuesto += rebajas($total_iva, $desc_tmp) * $cantidad;
                //$total_iva_full = rebajas($total_impuesto, $desc_tmp);
                $t = $subtotal * 0.01;
            ?>
                <tr>
                    <td class='text-center'><?php echo $codigo_producto; ?></td>
                    <td class='text-center' width="15%">
                        <input style=" background-color:#A9DFBF; border-radius: 5px; border: 1px solid #39c; text-align: center" type="text" class="form-control txt_cant" value="<?php echo $cantidad; ?>" id="<?php echo $id_tmp; ?>" onClick="this.select()">
                    </td>
                    <td><?php echo $nombre_producto; ?></td>
                    <td class='text-center'>
                        <?php echo $simbolo_moneda . ' ' . number_format($precio_venta, 4); ?>
                    </td>
                    <td class='text-right'><?php echo $simbolo_moneda . ' ' . number_format($final_items, 2); ?></td>
                    <td class='text-center'>
                        <a href="#" class='btn btn-danger btn-sm waves-effect waves-light' onclick="eliminar('<?php echo $id_tmp ?>')"><i class="fa fa-remove"></i>
                        </a>
                    </td>
                </tr>
            <?php
            }
            $total_factura = $subtotal + $total_impuesto;
            ?>
            <tr>
                <td style="font-size: 14pt;" class='text-right' colspan=4><b>TOTAL PRODUCTOS <?php echo $simbolo_moneda; ?></b></td>
                <td style="font-size: 14pt; background: #F5B7B1;" class='text-right'><b><?php echo number_format($total_factura, 4); ?></b></td>
                <td></td>
            </tr>
        </tbody>
    </table>
</div>
<script>
    $(document).ready(function() {
        $('.txt_desc').off('blur');
        $('.txt_desc').on('blur', function(event) {
            var keycode = (event.keyCode ? event.keyCode : event.which);
            // if(keycode == '13'){
            id_tmp = $(this).attr("id");
            desc = $(this).val();
            //Inicia validacion
            if (isNaN(desc)) {
                $.Notification.notify('error', 'bottom center', 'ERROR', 'DIGITAR UN DESCUENTO VALIDO')
                $(this).focus();
                return false;
            }
            //Fin validacion
            $.ajax({
                type: "POST",
                url: "../ajax/editar_desc_cot.php",
                data: "id_tmp=" + id_tmp + "&desc=" + desc,
                success: function(datos) {
                    $("#resultados").load("../ajax/agregar_tmp_cot.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'DESCUENTO ACTUALIZADO CORRECTAMENTE')
                }
            });
            // }
        });
        $(".employee_id").on("change", function(event) {
            id_tmp = $(this).attr("id");
            precio = $(this).val();
            $.ajax({
                type: "POST",
                url: "../ajax/editar_precio_cot.php",
                data: "id_tmp=" + id_tmp + "&precio=" + precio,
                success: function(datos) {
                    $("#resultados").load("../ajax/agregar_tmp_cot.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'PRECIO ACTUALIZADO CORRECTAMENTE')
                }
            });
        });
        $(".txt_cant").on("blur", function(event) {
            id_tmp = $(this).attr("id");
            cant = $(this).val();
            //Inicia validacion
            if (isNaN(cant)) {
                $.Notification.notify('error', 'bottom center', 'ERROR', 'DIGITAR LA CANTIDAD')
                $(this).focus();
                return false;
            }
            $.ajax({
                type: "POST",
                url: "../ajax/editar_cant_cot.php",
                data: "id_tmp=" + id_tmp + "&cant=" + cant,
                success: function(datos) {
                    $("#resultados").load("../ajax/agregar_tmp_cot.php");
                    $.Notification.notify('success', 'bottom center', 'EXITO!', 'CANTIDAD ACTUALIZADA CORRECTAMENTE')
                }
            });
        });

    });
</script>